@echo off
rem HyperSnapshot service installation (C) 2012- Gridmetric Oy (http://www.gridmetric.com)

echo Installing HyperSnapshot service for Hyper-V host machine...
echo.
%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe install %~dp0\HyperSnapshotService.exe /nologo /silent > NUL:
sc create "HssService" binPath= %~dp0\HyperSnapshotService.exe start= auto DisplayName= "HyperSnapshot Service" > NUL:
if NOT %ErrorLevel% EQU 0 goto failed
sc description "HssService" "Gridmetric HyperSnapshot service manages snapshot operations on the behalf of HyperSnapshot clients installed inside virtual machines." > NUL:
echo Service installed succesfully, starting
sc start "HssService" > NUL:
if NOT %ErrorLevel% EQU 0 goto notstarted
goto done

:notstarted
echo Could not start HyperSnapshot service, please start it manually
goto done

:failed
echo Could not install HyperSnapshot service to the machine, please check that you are running as administrator or try installing manually

:done
